// Harvest System Script v.0.2 by SickLab

using System;

namespace Server.Scripts.HarvestSystems
{
	public class HarvestItemCol : System.Collections.CollectionBase
	{
		public HarvestItemCol()
		{
		}

		public int Add( HarvestItem harvestItem )
		{
			return List.Add( harvestItem );
		}

		public void Remove( int index )
		{
			if ( index > Count - 1 || index < 0 )
			{
			}
			else
			{
				List.RemoveAt( index );
			}
		}

		public HarvestItem GetAt( int index )
		{
			return ( HarvestItem ) List[index];
		}

		public HarvestItem SearchFor( int itemID )
		{
			for ( int i = 0; i < List.Count; i++ )
			{
				HarvestItem harvestItem = ( HarvestItem )List[i];
				if ( harvestItem.ItemID == itemID )
				{
					return harvestItem;
				}
			}
			return null;
		}
	}
}
