using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Bone
{
	public class BoneLegs : BaseArmor
	{
		[Constructable]
		public BoneLegs() : base( 0x1452, OreInfo.Iron, 7, ArmorMaterialType.Bone, ArmorBodyType.Legs )
		{
			Weight = 3;
			DexBonus = -4;
			StrRequirement = 40;
		}
		public BoneLegs( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}