using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Helmets
{
	public class CloseHelm : BaseArmor
	{
		[Constructable]
		public CloseHelm() : base( 0x1408, OreInfo.Iron, 30, ArmorMaterialType.Plate, ArmorBodyType.Helmet )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 40;
		}

		public CloseHelm( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}