using System;
using Server;

namespace Server.Scripts.Items
{
	public class Static : Item
	{
		[Constructable]
		public Static( int itemID ) : base( itemID )
		{
			base.Movable = false;
		}

		public Static( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}