using System;
using Server.Network;
using Server.Targeting;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Knives
{
	public class Dagger : BaseKnife
	{
		[Constructable]
		public Dagger() : base( 3, 15, 55, 0x23B, 0x238, 1, SkillName.Fencing, WeaponType.Piercing, WeaponAnimation.Pierce1H, 0xF52, Layer.OneHanded )
		{
			Weight = 1.0;
		}

		public Dagger( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}