using System;
using Server;
using Server.Scripts.Items.Doors;

namespace Server.Scripts.Multis
{
	public class FieldstoneHouse : BaseHouse
	{
		public override Point3D EjectOffset{ get{ return new Point3D( 2, 4, 0 ); } }

		[Constructable]
		public FieldstoneHouse() : base( 0x66 )
		{
			AddDoor( new DarkWoodDoor( DoorFacing.WestCW ), new Point3D( 0, 3, 7 ) );
			SetSign( new Point3D( 2, 4, 5 ) );
		}

		public FieldstoneHouse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}