using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Plate
{
	public class PlateGorget : BaseArmor
	{
		[Constructable]
		public PlateGorget() : base( 0x1413, OreInfo.Iron, 40, ArmorMaterialType.Plate, ArmorBodyType.Gorget )
		{
			Weight = 2;
			DexBonus = -1;
			StrRequirement = 30;
		}

		public PlateGorget( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}