using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Maces
{
	public class HammerPick : BaseBashing
	{
		[Constructable]
		public HammerPick() : base( 6, 33, 30, 0x233, 0x239, 1, SkillName.Macing, WeaponType.Bashing, WeaponAnimation.Bash2H, 0x143D, Layer.TwoHanded )
		{
			Weight = 9.0;
		}

		public HammerPick( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}